import Vue from 'vue'
import Router from 'vue-router'
import routerBefore from '@/config/routerBefore.js'
// 主要
import main from '@/components/main.vue'
// 系统配置管理
const addHandlingFee = () => import( '../components/bmsport/addHandlingFee.vue')
const handlingFee = () => import( '../components/bmsport/handlingFee.vue')
const updateHandlingFee = () => import( '../components/bmsport/updateHandlingFee.vue')

const detailsOrder = () => import( '../components/bmsship/detailsOrder.vue')
const detailsStatement = () => import( '../components/bmsship/detailsStatement.vue')
const lossDetailsStatement = () => import( '../components/bmsship/lossDetailsStatement.vue')
const shipBillingFormula = () => import( '../components/bmsship/shipBillingFormula.vue')
const bmsshipResult = () => import( '../components/bmsship/bmsshipResult.vue')
const statementDetailsOrderShip = () => import( '../components/bmsship/statementDetailsOrderShip.vue')
const bmsstatementDetailsOrder = () => import( '../components/bmsship/bmsstatementDetailsOrder.vue')
const toBeStatement = () => import( '../components/bmsship/toBeStatement.vue')
const uncomplateDetails = () => import( '../components/bmsship/uncomplateDetails.vue')
const uncomplateWater = () => import( '../components/bmsship/uncomplateWater.vue')

const addTrainDetails = () => import( '../components/bmstrain/addTrainDetails.vue')
const detailsTrainOrder = () => import( '../components/bmstrain/detailsTrainOrder.vue')
const detailsTrainStatement = () => import( '../components/bmstrain/detailsTrainStatement.vue')
const statementDetailsOrder = () => import( '../components/bmstrain/statementDetailsOrder.vue')
const trainResult = () => import( '../components/bmstrain/trainResult.vue')
const uncomplateTrainDetails = () => import( '../components/bmstrain/uncomplateTrainDetails.vue')

const detailsTruckOrder = () => import( '../components/bmstruck/detailsTruckOrder.vue')
const truckResult = () => import( '../components/bmstruck/truckResult.vue')

const approveWagonPlease = () => import( '../components/domesticMine/approveWagonPlease.vue')
const approveWagonPleaseAdd = () => import( '../components/domesticMine/approveWagonPleaseAdd.vue')
const approveWagonPleaseEdit = () => import( '../components/domesticMine/approveWagonPleaseEdit.vue')
// entrust存在重复
const entrustMine = () => import( '../components/domesticMine/entrustMine.vue')
// wagonLoad存在重复
const wagonLoadMine = () => import( '../components/domesticMine/wagonLoadMine.vue')
const wagonLoadAdd = () => import( '../components/domesticMine/wagonLoadAdd.vue')
const wagonLoadbu = () => import( '../components/domesticMine/wagonLoadbu.vue')
const wagonLoadEdit = () => import( '../components/domesticMine/wagonLoadEdit.vue')
//wagonPlease存在重复
const wagonPleaseMine = () => import( '../components/domesticMine/wagonPleaseMine.vue')
const wagonPleaseAdd = () => import( '../components/domesticMine/wagonPleaseAdd.vue')
const wagonPleaseEdit = () => import( '../components/domesticMine/wagonPleaseEdit.vue')
// wagonUnLoad存在重复
const wagonUnLoadMine = () => import( '../components/domesticMine/wagonUnLoadMine.vue')
const wagonUnLoadAdd = () => import( '../components/domesticMine/wagonUnLoadAdd.vue')
const wagonUnLoadEdit = () => import( '../components/domesticMine/wagonUnLoadEdit.vue')

//const index = () => import( '../components/download/index.vue')
//addWagonLoad存在重复
const addWagonLoadEmergency = () => import( '../components/importedEmergency/addWagonLoadEmergency.vue')
//addWagonUnLoad存在重复
const addWagonUnLoadEmergency = () => import( '../components/importedEmergency/addWagonUnLoadEmergency.vue')
//editWagonLoad存在重复
const editWagonLoadEmergency = () => import( '../components/importedEmergency/editWagonLoadEmergency.vue')
//editWagonUnLoad存在重复
const editWagonUnLoadEmergency = () => import( '../components/importedEmergency/editWagonUnLoadEmergency.vue')
//entrust存在重复
const entrustEmergency = () => import( '../components/importedEmergency/entrustEmergency.vue')
const trainDetails = () => import( '../components/importedEmergency/trainDetails.vue')
//wagonLoad存在重复
const wagonLoadEmergency = () => import( '../components/importedEmergency/wagonLoadEmergency.vue')
//wagonUnLoad存在重复
const wagonUnLoadEmergency = () => import( '../components/importedEmergency/wagonUnLoadEmergency.vue')

const transportReserveFuAdd = () => import( '../components/importedFuel/transportReserveFuAdd.vue')
const transportReserveRan = () => import( '../components/importedFuel/transportReserveRan.vue')
const transportReserveRanAdd = () => import( '../components/importedFuel/transportReserveRanAdd.vue')
const transportReserveRanEdit = () => import( '../components/importedFuel/transportReserveRanEdit.vue')
const truckDriverReceiveRan = () => import( '../components/importedFuel/truckDriverReceiveRan.vue')
const truckEnfactoryRanLaoResult = () => import( '../components/importedFuel/truckEnfactoryRanLaoResult.vue')
const truckEnfactoryRanXingResult = () => import( '../components/importedFuel/truckEnfactoryRanXingResult.vue')
const truckJiMaoRanLaoResult = () => import( '../components/importedFuel/truckJiMaoRanLaoResult.vue')
const truckJiMaoRanXingResult = () => import( '../components/importedFuel/truckJiMaoRanXingResult.vue')
const truckJiPiRanLaoResult = () => import( '../components/importedFuel/truckJiPiRanLaoResult.vue')
const truckJiPiRanXingResult = () => import( '../components/importedFuel/truckJiPiRanXingResult.vue')
const truckLeaveFactoryRanLaoResult = () => import( '../components/importedFuel/truckLeaveFactoryRanLaoResult.vue')
const truckLeaveFactoryRanXingResult = () => import( '../components/importedFuel/truckLeaveFactoryRanXingResult.vue')
const truckQualityRanLaoResult = () => import( '../components/importedFuel/truckQualityRanLaoResult.vue')
const truckQualityRanLaoResultEdit = () => import( '../components/importedFuel/truckQualityRanLaoResultEdit.vue')
const truckQualityRanXingResult = () => import( '../components/importedFuel/truckQualityRanXingResult.vue')
const truckQualityRanXingResultEdit = () => import( '../components/importedFuel/truckQualityRanXingResultEdit.vue')
const truckReceiptRanLaoResult = () => import( '../components/importedFuel/truckReceiptRanLaoResult.vue')
const truckReceiptRanXingResult = () => import( '../components/importedFuel/truckReceiptRanXingResult.vue')
const truckUnloadRanLaoResult = () => import( '../components/importedFuel/truckUnloadRanLaoResult.vue')
const truckUnloadRanXingResult = () => import( '../components/importedFuel/truckUnloadRanXingResult.vue')

const transportReserveFu = () => import( '../components/importedIngredients/transportReserveFu.vue')
// transportReserveFuAdd重复使用
const transportReserveFuAddIngredients = () => import( '../components/importedIngredients/transportReserveFuAddIngredients.vue')
const transportReserveFuEdit = () => import( '../components/importedIngredients/transportReserveFuEdit.vue')
const truckDriverReceiveFu = () => import( '../components/importedIngredients/truckDriverReceiveFu.vue')
const truckEnfactoryFuResult = () => import( '../components/importedIngredients/truckEnfactoryFuResult.vue')
const truckJiMaoFuResult = () => import( '../components/importedIngredients/truckJiMaoFuResult.vue')
const truckJiPiFuResult = () => import( '../components/importedIngredients/truckJiPiFuResult.vue')
const truckLeaveFactoryFuResult = () => import( '../components/importedIngredients/truckLeaveFactoryFuResult.vue')
const truckQualityFuResult = () => import( '../components/importedIngredients/truckQualityFuResult.vue')
const truckQualityFuResultEdit = () => import( '../components/importedIngredients/truckQualityFuResultEdit.vue')
const truckReceiptFuResult = () => import( '../components/importedIngredients/truckReceiptFuResult.vue')
const truckReturnResult = () => import( '../components/importedIngredients/truckReturnResult.vue')
const truckUnloadFuResult = () => import( '../components/importedIngredients/truckUnloadFuResult.vue')
const getTransportOrder = () => import( '../components/importedFuel/getTransportOrder.vue')

const addApproveWagonPlease = () => import( '../components/importedMine/addApproveWagonPlease.vue')
const addWagonLoad = () => import( '../components/importedMine/addWagonLoad.vue')
const addWagonPlease = () => import( '../components/importedMine/addWagonPlease.vue')
const addWagonUnLoad = () => import( '../components/importedMine/addWagonUnLoad.vue')
const editApproveWagonPlease = () => import( '../components/importedMine/editApproveWagonPlease.vue')
const editWagonLoad = () => import( '../components/importedMine/editWagonLoad.vue')
const editWagonPlease = () => import( '../components/importedMine/editWagonPlease.vue')
const editOutBoundWagon = () => import( '../components/importedMine/editOutBoundWagon.vue')
const editWagonUnLoad = () => import( '../components/importedMine/editWagonUnLoad.vue')
const entrust = () => import( '../components/importedMine/entrust.vue')
const wagonApprove = () => import( '../components/importedMine/wagonApprove.vue')
const wagonLoad = () => import( '../components/importedMine/wagonLoad.vue')
const wagonPlease = () => import( '../components/importedMine/wagonPlease.vue')
const wagonUnLoad = () => import( '../components//importedMine/wagonUnLoad.vue')

const addBargeShip = () => import( '../components/importedShip/addBargeShip.vue')
const addLoadShip = () => import( '../components/importedShip/addLoadShip.vue')
const addShipLocation = () => import( '../components/importedShip/addShipLocation.vue')
const addShipmentInstructions = () => import( '../components/importedShip/addShipmentInstructions.vue')
const addUnloadShip = () => import( '../components/importedShip/addUnloadShip.vue')
const addWaterQuality = () => import( '../components/importedShip/addWaterQuality.vue')
const bargeShip = () => import( '../components/importedShip/bargeShip.vue')
const instructionsCapacity = () => import( '../components/importedShip/instructionsCapacity.vue')
const loadShip = () => import( '../components/importedShip/loadShip.vue')
const shipLocation = () => import( '../components/importedShip/shipLocation.vue')
const shipmentInstructions = () => import( '../components/importedShip/shipmentInstructions.vue')
const shipResult = () => import( '../components/importedShip/shipResult.vue')
const unloadShip = () => import( '../components/importedShip/unloadShip.vue')
const updateBargeShip = () => import( '../components/importedShip/updateBargeShip.vue')
const updateInstructionsCapacity = () => import( '../components/importedShip/updateInstructionsCapacity.vue')
const updateShipLocation = () => import( '../components/importedShip/updateShipLocation.vue')
const updateShipmentInstructions = () => import( '../components/importedShip/updateShipmentInstructions.vue')
const updateUnloadShip = () => import( '../components/importedShip/updateUnloadShip.vue')
const updateWaterQuality = () => import( '../components/importedShip/updateWaterQuality.vue')
const updateLoadShip = () => import( '../components/importedShip/updateLoadShip.vue')
const waterQuality = () => import( '../components/importedShip/waterQuality.vue')
const recordBatch = () => import( '../components/importedShip/recordBatch.vue')

const assignmentPlan = () => import( '../components/importedTruck/assignmentPlan.vue')
const breakdownPlan = () => import( '../components/importedTruck/breakdownPlan.vue')
const breakdownPlanAdd = () => import( '../components/importedTruck/breakdownPlanAdd.vue')
const breakdownPlanCheck = () => import( '../components/importedTruck/breakdownPlanCheck.vue')
const breakdownPlanEdit = () => import( '../components/importedTruck/breakdownPlanEdit.vue')
const submitWaybill = () => import( '../components/importedTruck/submitWaybill.vue')
const transportReserve = () => import( '../components/importedTruck/transportReserve.vue')
const transportReserveAdd = () => import( '../components/importedTruck/transportReserveAdd.vue')
const transportReserveEdit = () => import( '../components/importedTruck/transportReserveEdit.vue')
const truckDriverReceive = () => import( '../components/importedTruck/truckDriverReceive.vue')
const truckEnfactoryResult = () => import( '../components/importedTruck/truckEnfactoryResult.vue')
const truckJiMaoResult = () => import( '../components/importedTruck/truckJiMaoResult.vue')
const truckJiPiResult = () => import( '../components/importedTruck/truckJiPiResult.vue')
const truckLeaveFactoryResult = () => import( '../components/importedTruck/truckLeaveFactoryResult.vue')
const truckLoadResult = () => import( '../components/importedTruck/truckLoadResult.vue')
const truckLoadResultAdd = () => import( '../components/importedTruck/truckLoadResultAdd.vue')
const truckLoadResultEdit = () => import( '../components/importedTruck/truckLoadResultEdit.vue')
const truckQualityResult = () => import( '../components/importedTruck/truckQualityResult.vue')
const truckQualityResultEdit = () => import( '../components/importedTruck/truckQualityResultEdit.vue')
const truckReceiptResult = () => import( '../components/importedTruck/truckReceiptResult.vue')
const truckUnloadResult = () => import( '../components/importedTruck/truckUnloadResult.vue')

const addBreach = () => import( '../components/purchase/addBreach.vue')
const addOtherPrice = () => import( '../components/purchase/addOtherPrice.vue')
const addShipPrice = () => import( '../components/purchase/addShipPrice.vue')
const addTrainPrice = () => import( '../components/purchase/addTrainPrice.vue')
const addTruckPrice = () => import( '../components/purchase/addTruckPrice.vue')
const breach = () => import( '../components/purchase/breach.vue')
const otherPrice = () => import( '../components/purchase/otherPrice.vue')
const purchaseOrder = () => import( '../components/purchase/purchaseOrder.vue')
const shipPrice = () => import( '../components/purchase/shipPrice.vue')
const trainPrice = () => import( '../components/purchase/trainPrice.vue')
const truckPrice = () => import( '../components/purchase/truckPrice.vue')
const updateBreach = () => import( '../components/purchase/updateBreach.vue')
const updateOtherPrice = () => import( '../components/purchase/updateOtherPrice.vue')
const updateShipPrice = () => import( '../components/purchase/updateShipPrice.vue')
const updateTrainPrice = () => import( '../components/purchase/updateTrainPrice.vue')
const updateTruckPrice = () => import( '../components/purchase/updateTruckPrice.vue')

const transportationReservation = () => import( '../components/purchaseChemicalMaterials/transportationReservation.vue')
const transportationReservationAdd = () => import( '../components/purchaseChemicalMaterials/transportationReservationAdd.vue')
const transportationReservationEDIT = () => import( '../components/purchaseChemicalMaterials/transportationReservationEDIT.vue')
const transportationDispatch = () => import( '../components/purchaseChemicalMaterials/transportationDispatch.vue')
const dischargeCargoNew = () => import( '../components/purchaseChemicalMaterials/purchaseChemicalMaterialsNEW/dischargeCargoNew.vue')
const enterFactoryNew = () => import( '../components/purchaseChemicalMaterials/purchaseChemicalMaterialsNEW/enterFactoryNew.vue')
const exFactoryNew = () => import( '../components/purchaseChemicalMaterials/purchaseChemicalMaterialsNEW/exFactoryNew.vue')
const qualityTestingNew = () => import( '../components/purchaseChemicalMaterials/purchaseChemicalMaterialsNEW/qualityTestingNew.vue')
const receivingNew = () => import( '../components/purchaseChemicalMaterials/purchaseChemicalMaterialsNEW/receivingNew.vue')
const skinCountingNew = () => import( '../components/purchaseChemicalMaterials/purchaseChemicalMaterialsNEW/skinCountingNew.vue')
const woolCountingNew = () => import( '../components/purchaseChemicalMaterials/purchaseChemicalMaterialsNEW/woolCountingNew.vue')

const dischargeCargoOld = () => import( '../components/purchaseChemicalMaterials/purchaseChemicalMaterialsOLD/dischargeCargoOld.vue')
const enterFactoryOld = () => import( '../components/purchaseChemicalMaterials/purchaseChemicalMaterialsOLD/enterFactoryOld.vue')
const exFactoryOld = () => import( '../components/purchaseChemicalMaterials/purchaseChemicalMaterialsOLD/exFactoryOld.vue')
const qualityTestingOld = () => import( '../components/purchaseChemicalMaterials/purchaseChemicalMaterialsOLD/qualityTestingOld.vue')
const receivingOld = () => import( '../components/purchaseChemicalMaterials/purchaseChemicalMaterialsOLD/receivingOld.vue')
const skinCountingOld = () => import( '../components/purchaseChemicalMaterials/purchaseChemicalMaterialsOLD/skinCountingOld.vue')
const woolCountingOld = () => import( '../components/purchaseChemicalMaterials/purchaseChemicalMaterialsOLD/woolCountingOld.vue')

const mineralTransportAppoint = () => import( '../components/importedMineral/transportAppoint.vue')
const addMineralTransportAppoint = () => import( '../components/importedMineral/addTransportAppoint.vue')
const mineralTransportOrder = () => import( '../components/importedMineral/transportOrder.vue')
const mineralEnfactory = () => import( '../components/importedMineral/transportExcute/enfactory.vue')
const mineralOutfactory = () => import( '../components/importedMineral/transportExcute/outfactory.vue')
const mineralGrossResult = () => import( '../components/importedMineral/transportExcute/grossResult.vue')
const mineralTareResult = () => import( '../components/importedMineral/transportExcute/tareResult.vue')
const mineralUnload = () => import( '../components/importedMineral/transportExcute/unload.vue')
const mineralQuality = () => import( '../components/importedMineral/transportExcute/qualityResult.vue')
const shipmentInstructionText = () => import( '../components/importedShip/shipmentInstructionText.vue')
const shipmentInstructionForPierText = () => import( '../components/importedShip/shipmentInstructionForPierText.vue')

const addWagonLoadCopy = () => import( '../components/importedMine/addWagonloadCopy.vue')
const outBoundWagon = () => import( '../components/importedMine/outBoundWagon.vue')
const twoSectionFee = () => import( '../components/bmsship/twoSectionFee.vue')
const addTwoSectionFee = () => import( '../components/bmsship/addTwoSectionFee.vue')
const editTwoSectionFee = () => import( '../components/bmsship/editTwoSectionFee.vue')
const twoSectionHandleFee = () => import( '../components/bmsship/twoSectionHandleFee.vue')
const addTwoSectionHandleFee = () => import( '../components/bmsship/addTwoSectionHandleFee.vue')
const editTwoSectionHandleFee = () => import( '../components/bmsship/editTwoSectionHandleFee.vue')
const importedTrainFee = () => import( '../components/bmstrain/importedTrainFee.vue')
const addImportedTrainFee = () => import( '../components/bmstrain/addImportedTrainFee.vue')
const editImportedTrainFee = () => import( '../components/bmstrain/editImportedTrainFee.vue')
const domesticTrainFee = () => import( '../components/bmstrain/domesticTrainFee.vue')
const addDomesticTrainFee = () => import( '../components/bmstrain/addDomesticTrainFee.vue')
const editDomesticTrainFee = () => import( '../components/bmstrain/editDomesticTrainFee.vue')
const threeSectionHandleFee = () => import( '../components/bmsship/threeSectionHandleFee.vue')
const addThreeSectionHandleFee = () => import( '../components/bmsship/addThreeSectionHandleFee.vue')
const editThreeSectionHandleFee = () => import( '../components/bmsship/editThreeSectionHandleFee.vue')
const threeSectionFee = () => import( '../components/bmsship/threeSectionFee.vue')
const addThreeSectionFee = () => import( '../components/bmsship/addThreeSectionFee.vue')
const editThreeSectionFee = () => import( '../components/bmsship/editThreeSectionFee.vue')
const moistureDetection = () => import( '../components/bmsship/moistureDetection.vue')
const addMoistureDetection = () => import( '../components/bmsship/addMoistureDetection.vue')
const threeSectionFeeDetails = () => import( '../components/bmsship/threeSectionFeeDetails.vue')
const updateThreeSectionFeeDetails = () => import( '../components/bmsship/updateThreeSectionFeeDetails.vue')
const DryWetDetails = () =>
  import('@/views/TMS/components/bmsship/DryWetDetails.vue')
Vue.use(Router)

const constantRouterMap = [
  {
    path: '/',
    name: 'main',
    meta: { title: '首页', code: 'xtpzgl' },
    component: main,
    redirect: { name: 'addApproveWagonPlease' },
    children: [
      {
        path: 'dischargeCargoNew',
        name: 'dischargeCargoNew',
        meta: { code: 'xtpzgl-jggl' },
        component: dischargeCargoNew
      },
      {
        path: 'enterFactoryNew',
        name: 'enterFactoryNew',
        meta: { code: 'xtpzgl-jggl' },
        component: enterFactoryNew
      },
      {
        path: 'exFactoryNew',
        name: 'exFactoryNew',
        meta: { code: 'xtpzgl-jggl' },
        component: exFactoryNew
      },
      {
        path: 'qualityTestingNew',
        name: 'qualityTestingNew',
        meta: { code: 'xtpzgl-jggl' },
        component: qualityTestingNew
      },
      {
        path: 'receivingNew',
        name: 'receivingNew',
        meta: { code: 'xtpzgl-jggl' },
        component: receivingNew
      },
      {
        path: 'skinCountingNew',
        name: 'skinCountingNew',
        meta: { code: 'xtpzgl-jggl' },
        component: skinCountingNew
      },
      {
        path: 'woolCountingNew',
        name: 'woolCountingNew',
        meta: { code: 'xtpzgl-jggl' },
        component: woolCountingNew
      },
      {
        path: 'addHandlingFee',
        name: 'addHandlingFee',
        meta: { code: 'xtpzgl-jggl' },
        component: addHandlingFee
      },
      {
        path: 'handlingFee',
        name: 'handlingFee',
        meta: { code: 'xtpzgl-yhgl' },
        component: handlingFee
      },
      {
        path: 'updateHandlingFee/:feeId',
        name: 'updateHandlingFee',
        meta: { code: 'xtpzgl-yhgl' },
        component: updateHandlingFee
      },

      {
        path: 'detailsOrder',
        name: 'detailsOrder',
        meta: { code: 'xtpzgl-yhgl' },
        component: detailsOrder
      },
      {
        path: 'detailsStatement',
        name: 'detailsStatement',
        meta: { code: 'xtpzgl-yhgl' },
        component: detailsStatement
      },
      {
        path: 'lossDetailsStatement',
        name: 'lossDetailsStatement',
        meta: { code: 'xtpzgl-yhgl' },
        component: lossDetailsStatement
      },
      {
        path: 'shipBillingFormula',
        name: 'shipBillingFormula',
        meta: { code: 'xtpzgl-yhgl' },
        component: shipBillingFormula
      },
      {
        path: 'bmsstatementDetailsOrder/:batchId',
        name: 'bmsstatementDetailsOrder',
        meta: { code: 'xtpzgl-yhgl' },
        component: bmsstatementDetailsOrder
      },
      {
        path: 'bmsshipResult',
        name: 'bmsshipResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: bmsshipResult
      },
      {
        path: 'toBeStatement',
        name: 'toBeStatement',
        meta: { code: 'xtpzgl-yhgl' },
        component: toBeStatement
      },
      {
        path: 'uncomplateDetails',
        name: 'uncomplateDetails',
        meta: { code: 'xtpzgl-yhgl' },
        component: uncomplateDetails
      },
      {
        path: 'uncomplateWater',
        name: 'uncomplateWater',
        meta: { code: 'xtpzgl-yhgl' },
        component: uncomplateWater
      },
      {
        path: 'statementDetailsOrderShip/:batchId',
        name: 'statementDetailsOrderShip',
        meta: { code: 'xtpzgl-yhgl' },
        component: statementDetailsOrderShip
      },

      {
        path: 'addTrainDetails',
        name: 'addTrainDetails',
        meta: { code: 'xtpzgl-yhgl' },
        component: addTrainDetails
      },
      {
        path: 'detailsTrainStatement',
        name: 'detailsTrainStatement',
        meta: { code: 'xtpzgl-yhgl' },
        component: detailsTrainStatement
      },
      {
        path: 'detailsTrainOrder',
        name: 'detailsTrainOrder',
        meta: { code: 'xtpzgl-yhgl' },
        component: detailsTrainOrder
      },
      {
        path: 'statementDetailsOrder/:batchId',
        name: 'statementDetailsOrder',
        meta: { code: 'xtpzgl-yhgl' },
        component: statementDetailsOrder
      },
      {
        path: 'trainResult',
        name: 'trainResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: trainResult
      },
      {
        path: 'uncomplateTrainDetails',
        name: 'uncomplateTrainDetails',
        meta: { code: 'xtpzgl-yhgl' },
        component: uncomplateTrainDetails
      },

      {
        path: 'detailsTruckOrder',
        name: 'detailsTruckOrder',
        meta: { code: 'xtpzgl-yhgl' },
        component: detailsTruckOrder
      },
      {
        path: 'truckResult',
        name: 'truckResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckResult
      },

      {
        path: 'approveWagonPlease',
        name: 'approveWagonPlease',
        meta: { code: 'xtpzgl-yhgl' },
        component: approveWagonPlease
      },
      {
        path: 'approveWagonPleaseAdd',
        name: 'approveWagonPleaseAdd',
        meta: { code: 'xtpzgl-yhgl' },
        component: approveWagonPleaseAdd
      },
      {
        path: 'approveWagonPleaseEdit/:resultId',
        name: 'approveWagonPleaseEdit',
        meta: { code: 'xtpzgl-yhgl' },
        component: approveWagonPleaseEdit
      },
      {
        path: 'entrustMine',
        name: 'entrustMine',
        meta: { code: 'xtpzgl-yhgl' },
        component: entrustMine
      },
      {
        path: 'wagonLoadMine',
        name: 'wagonLoadMine',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonLoadMine
      },
      {
        path: 'wagonLoadbu',
        name: 'wagonLoadbu',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonLoadbu
      },
      {
        path: 'wagonLoadAdd',
        name: 'wagonLoadAdd',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonLoadAdd
      },
      {
        path: 'wagonLoadEdit/:resultId',
        name: 'wagonLoadEdit',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonLoadEdit
      },
      {
        path: 'wagonPleaseMine',
        name: 'wagonPleaseMine',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonPleaseMine
      },
      {
        path: 'wagonPleaseAdd',
        name: 'wagonPleaseAdd',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonPleaseAdd
      },
      {
        path: 'wagonPleaseEdit/:resultId',
        name: 'wagonPleaseEdit',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonPleaseEdit
      },
      {
        path: 'wagonUnLoadAdd',
        name: 'wagonUnLoadAdd',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonUnLoadAdd
      },
      {
        path: 'wagonUnLoadMine',
        name: 'wagonUnLoadMine',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonUnLoadMine
      },
      {
        path: 'wagonUnLoadEdit/:unloadingId',
        name: 'wagonUnLoadEdit',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonUnLoadEdit
      },
      //  {path: 'index', name: 'index', meta: {code: 'xtpzgl-yhgl'}, component: index},

      {
        path: 'addWagonLoadEmergency',
        name: 'addWagonLoadEmergency',
        meta: { code: 'xtpzgl-yhgl' },
        component: addWagonLoadEmergency
      },
      {
        path: 'addWagonUnLoadEmergency',
        name: 'addWagonUnLoadEmergency',
        meta: { code: 'xtpzgl-yhgl' },
        component: addWagonUnLoadEmergency
      },
      {
        path: 'editWagonUnLoadEmergency/:unloadingId',
        name: 'editWagonUnLoadEmergency',
        meta: { code: 'xtpzgl-yhgl' },
        component: editWagonUnLoadEmergency
      },
      {
        path: 'editWagonLoadEmergency/:unloadingId',
        name: 'editWagonLoadEmergency',
        meta: { code: 'xtpzgl-yhgl' },
        component: editWagonLoadEmergency
      },
      {
        path: 'entrustEmergency',
        name: 'entrustEmergency',
        meta: { code: 'xtpzgl-yhgl' },
        component: entrustEmergency
      },
      {
        path: 'trainDetails',
        name: 'trainDetails',
        meta: { code: 'xtpzgl-yhgl' },
        component: trainDetails
      },
      {
        path: 'wagonLoadEmergency',
        name: 'wagonLoadEmergency',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonLoadEmergency
      },
      {
        path: 'wagonUnLoadEmergency',
        name: 'wagonUnLoadEmergency',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonUnLoadEmergency
      },

      {
        path: 'transportReserveFuAdd',
        name: 'transportReserveFuAdd',
        meta: { code: 'xtpzgl-yhgl' },
        component: transportReserveFuAdd
      },
      {
        path: 'transportReserveRan',
        name: 'transportReserveRan',
        meta: { code: 'xtpzgl-yhgl' },
        component: transportReserveRan
      },
      {
        path: 'transportReserveRanEdit/:orderId',
        name: 'transportReserveRanEdit',
        meta: { code: 'xtpzgl-yhgl' },
        component: transportReserveRanEdit
      },
      {
        path: 'transportReserveRanAdd',
        name: 'transportReserveRanAdd',
        meta: { code: 'xtpzgl-yhgl' },
        component: transportReserveRanAdd
      },
      {
        path: 'truckDriverReceiveRan',
        name: 'truckDriverReceiveRan',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckDriverReceiveRan
      },
      {
        path: 'truckEnfactoryRanLaoResult',
        name: 'truckEnfactoryRanLaoResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckEnfactoryRanLaoResult
      },
      {
        path: 'truckEnfactoryRanXingResult',
        name: 'truckEnfactoryRanXingResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckEnfactoryRanXingResult
      },
      {
        path: 'truckJiMaoRanLaoResult',
        name: 'truckJiMaoRanLaoResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckJiMaoRanLaoResult
      },
      {
        path: 'truckJiPiRanLaoResult',
        name: 'truckJiPiRanLaoResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckJiPiRanLaoResult
      },
      {
        path: 'truckJiMaoRanXingResult',
        name: 'truckJiMaoRanXingResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckJiMaoRanXingResult
      },
      {
        path: 'truckJiPiRanXingResult',
        name: 'truckJiPiRanXingResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckJiPiRanXingResult
      },
      {
        path: 'truckLeaveFactoryRanLaoResult',
        name: 'truckLeaveFactoryRanLaoResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckLeaveFactoryRanLaoResult
      },
      {
        path: 'truckLeaveFactoryRanXingResult',
        name: 'truckLeaveFactoryRanXingResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckLeaveFactoryRanXingResult
      },
      {
        path: 'truckQualityRanLaoResult',
        name: 'truckQualityRanLaoResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckQualityRanLaoResult
      },
      {
        path: 'truckQualityRanXingResult',
        name: 'truckQualityRanXingResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckQualityRanXingResult
      },
      {
        path: 'truckQualityRanLaoResultEdit',
        name: 'truckQualityRanLaoResultEdit',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckQualityRanLaoResultEdit
      },
      {
        path: 'truckQualityRanXingResultEdit',
        name: 'truckQualityRanXingResultEdit',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckQualityRanXingResultEdit
      },
      {
        path: 'truckReceiptRanLaoResult',
        name: 'truckReceiptRanLaoResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckReceiptRanLaoResult
      },
      {
        path: 'truckReceiptRanXingResult',
        name: 'truckReceiptRanXingResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckReceiptRanXingResult
      },
      {
        path: 'truckUnloadRanLaoResult',
        name: 'truckUnloadRanLaoResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckUnloadRanLaoResult
      },
      {
        path: 'truckUnloadRanXingResult',
        name: 'truckUnloadRanXingResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckUnloadRanXingResult
      },

      {
        path: 'transportReserveFu',
        name: 'transportReserveFu',
        meta: { code: 'xtpzgl-yhgl' },
        component: transportReserveFu
      },
      {
        path: 'truckLeaveFactoryFuResult',
        name: 'truckLeaveFactoryFuResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckLeaveFactoryFuResult
      },
      {
        path: 'truckQualityFuResult',
        name: 'truckQualityFuResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckQualityFuResult
      },
      {
        path: 'truckQualityFuResultEdit',
        name: 'truckQualityFuResultEdit',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckQualityFuResultEdit
      },
      {
        path: 'truckReturnResult',
        name: 'truckReturnResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckReturnResult
      },
      {
        path: 'truckUnloadFuResult',
        name: 'truckUnloadFuResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckUnloadFuResult
      },
      {
        path: 'transportReserveFuEdit/:orderId',
        name: 'transportReserveFuEdit',
        meta: { code: 'xtpzgl-yhgl' },
        component: transportReserveFuEdit
      },
      {
        path: 'truckDriverReceiveFu',
        name: 'truckDriverReceiveFu',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckDriverReceiveFu
      },
      {
        path: 'truckEnfactoryFuResult',
        name: 'truckEnfactoryFuResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckEnfactoryFuResult
      },
      {
        path: 'truckJiMaoFuResult',
        name: 'truckJiMaoFuResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckJiMaoFuResult
      },
      {
        path: 'truckJiPiFuResult',
        name: 'truckJiPiFuResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckJiPiFuResult
      },
      {
        path: 'truckReceiptFuResult',
        name: 'truckReceiptFuResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckReceiptFuResult
      },
      {
        path: 'transportReserveFuAddIngredients',
        name: 'transportReserveFuAddIngredients',
        meta: { code: 'xtpzgl-yhgl' },
        component: transportReserveFuAddIngredients
      },

      {
        path: 'addApproveWagonPlease',
        name: 'addApproveWagonPlease',
        meta: { code: 'xtpzgl-jggl' },
        component: addApproveWagonPlease
      },
      {
        path: 'addWagonLoad',
        name: 'addWagonLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: addWagonLoad
      },
      {
        path: 'addWagonPlease',
        name: 'addWagonPlease',
        meta: { code: 'xtpzgl-yhgl' },
        component: addWagonPlease
      },
      {
        path: 'addWagonUnLoad',
        name: 'addWagonUnLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: addWagonUnLoad
      },
      {
        path: 'editApproveWagonPlease/:resultId',
        name: 'editApproveWagonPlease',
        meta: { code: 'xtpzgl-yhgl' },
        component: editApproveWagonPlease
      },
      {
        path: 'editWagonLoad/:resultId',
        name: 'editWagonLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: editWagonLoad
      },
      {
        path: 'editWagonPlease/:resultId',
        name: 'editWagonPlease',
        meta: { code: 'xtpzgl-yhgl' },
        component: editWagonPlease
      },
      {
        path: 'editOutBoundWagon/:resultId',
        name: 'editOutBoundWagon',
        meta: { code: 'xtpzgl-yhgl' },
        component: editOutBoundWagon
      },
      {
        path: 'editWagonUnLoad/:unloadingId',
        name: 'editWagonUnLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: editWagonUnLoad
      },
      {
        path: 'entrust',
        name: 'entrust',
        meta: { code: 'xtpzgl-yhgl' },
        component: entrust
      },
      {
        path: 'wagonApprove',
        name: 'wagonApprove',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonApprove
      },
      {
        path: 'wagonLoad',
        name: 'wagonLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonLoad
      },
      {
        path: 'wagonPlease',
        name: 'wagonPlease',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonPlease
      },
      {
        path: 'wagonUnLoad',
        name: 'wagonUnLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonUnLoad
      },

      {
        path: 'addBargeShip',
        name: 'addBargeShip',
        meta: { code: 'xtpzgl-jggl' },
        component: addBargeShip
      },
      {
        path: 'addLoadShip',
        name: 'addLoadShip',
        meta: { code: 'xtpzgl-yhgl' },
        component: addLoadShip
      },
      {
        path: 'addShipLocation',
        name: 'addShipLocation',
        meta: { code: 'xtpzgl-yhgl' },
        component: addShipLocation
      },
      {
        path: 'addShipmentInstructions',
        name: 'addShipmentInstructions',
        meta: { code: 'xtpzgl-yhgl' },
        component: addShipmentInstructions
      },
      {
        path: 'addUnloadShip',
        name: 'addUnloadShip',
        meta: { code: 'xtpzgl-yhgl' },
        component: addUnloadShip
      },
      {
        path: 'addWaterQuality',
        name: 'addWaterQuality',
        meta: { code: 'xtpzgl-yhgl' },
        component: addWaterQuality
      },
      {
        path: 'bargeShip',
        name: 'bargeShip',
        meta: { code: 'xtpzgl-yhgl' },
        component: bargeShip
      },
      {
        path: 'instructionsCapacity/:instructionsId',
        name: 'instructionsCapacity',
        meta: { code: 'xtpzgl-yhgl' },
        component: instructionsCapacity
      },
      {
        path: 'loadShip',
        name: 'loadShip',
        meta: { code: 'xtpzgl-yhgl' },
        component: loadShip
      },
      {
        path: 'shipLocation',
        name: 'shipLocation',
        meta: { code: 'xtpzgl-yhgl' },
        component: shipLocation
      },
      {
        path: 'shipmentInstructions',
        name: 'shipmentInstructions',
        meta: { code: 'xtpzgl-yhgl' },
        component: shipmentInstructions
      },
      {
        path: 'shipResult',
        name: 'shipResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: shipResult
      },
      {
        path: 'unloadShip',
        name: 'unloadShip',
        meta: { code: 'xtpzgl-yhgl' },
        component: unloadShip
      },
      {
        path: 'updateBargeShip',
        name: 'updateBargeShip',
        meta: { code: 'xtpzgl-yhgl' },
        component: updateBargeShip
      },
      {
        path: 'updateInstructionsCapacity/:orderId',
        name: 'updateInstructionsCapacity',
        meta: { code: 'xtpzgl-yhgl' },
        component: updateInstructionsCapacity
      },
      {
        path: 'updateShipLocation',
        name: 'updateShipLocation',
        meta: { code: 'xtpzgl-yhgl' },
        component: updateShipLocation
      },
      {
        path: 'updateShipmentInstructions/:instructionsId',
        name: 'updateShipmentInstructions',
        meta: { code: 'xtpzgl-yhgl' },
        component: updateShipmentInstructions
      },
      {
        path: 'updateUnloadShip/:resultId',
        name: 'updateUnloadShip',
        meta: { code: 'xtpzgl-yhgl' },
        component: updateUnloadShip
      },
      {
        path: 'updateWaterQuality/:resultId',
        name: 'updateWaterQuality',
        meta: { code: 'xtpzgl-yhgl' },
        component: updateWaterQuality
      },
      {
        path: 'waterQuality',
        name: 'waterQuality',
        meta: { code: 'xtpzgl-yhgl' },
        component: waterQuality
      },
      {
        path: 'recordBatch',
        name: 'recordBatch',
        meta: { code: 'xtpzgl-yhgl' },
        component: recordBatch
      },
      {
        path: 'updateLoadShip/:resultId',
        name: 'updateLoadShip',
        meta: { code: 'xtpzgl-yhgl' },
        component: updateLoadShip
      },
      {
        path: 'shipmentInstructionText/:text',
        name: 'shipmentInstructionText',
        meta: { code: 'xtpzgl-yhgl' },
        component: shipmentInstructionText
      },

      {
        path: 'shipmentInstructionForPierText/:text',
        name: 'shipmentInstructionForPierText',
        meta: { code: 'xtpzgl-yhgl' },
        component: shipmentInstructionForPierText
      },

      {
        path: 'assignmentPlan',
        name: 'assignmentPlan',
        meta: { code: 'xtpzgl-yhgl' },
        component: assignmentPlan
      },
      {
        path: 'breakdownPlan',
        name: 'breakdownPlan',
        meta: { code: 'xtpzgl-yhgl' },
        component: breakdownPlan
      },
      {
        path: 'breakdownPlanAdd/:planId',
        name: 'breakdownPlanAdd',
        meta: { code: 'xtpzgl-yhgl' },
        component: breakdownPlanAdd
      },
      {
        path: 'breakdownPlanCheck',
        name: 'breakdownPlanCheck',
        meta: { code: 'xtpzgl-yhgl' },
        component: breakdownPlanCheck
      },
      {
        path: 'breakdownPlanEdit/:planId',
        name: 'breakdownPlanEdit',
        meta: { code: 'xtpzgl-yhgl' },
        component: breakdownPlanEdit
      },
      {
        path: 'submitWaybill',
        name: 'submitWaybill',
        meta: { code: 'xtpzgl-yhgl' },
        component: submitWaybill
      },
      {
        path: 'transportReserve',
        name: 'transportReserve',
        meta: { code: 'xtpzgl-yhgl' },
        component: transportReserve
      },
      {
        path: 'transportReserveAdd',
        name: 'transportReserveAdd',
        meta: { code: 'xtpzgl-yhgl' },
        component: transportReserveAdd
      },
      {
        path: 'transportReserveEdit/:planId',
        name: 'transportReserveEdit',
        meta: { code: 'xtpzgl-yhgl' },
        component: transportReserveEdit
      },
      {
        path: 'truckDriverReceive',
        name: 'truckDriverReceive',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckDriverReceive
      },
      {
        path: 'truckEnfactoryResult',
        name: 'truckEnfactoryResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckEnfactoryResult
      },
      {
        path: 'truckJiMaoResult',
        name: 'truckJiMaoResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckJiMaoResult
      },
      {
        path: 'truckJiPiResult',
        name: 'truckJiPiResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckJiPiResult
      },
      {
        path: 'truckLeaveFactoryResult',
        name: 'truckLeaveFactoryResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckLeaveFactoryResult
      },
      {
        path: 'truckLoadResult',
        name: 'truckLoadResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckLoadResult
      },
      {
        path: 'truckLoadResultAdd',
        name: 'truckLoadResultAdd',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckLoadResultAdd
      },
      {
        path: 'truckLoadResultEdit/:resultId',
        name: 'truckLoadResultEdit',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckLoadResultEdit
      },
      {
        path: 'truckQualityResult',
        name: 'truckQualityResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckQualityResult
      },
      {
        path: 'truckQualityResultEdit/:resultId',
        name: 'truckQualityResultEdit',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckQualityResultEdit
      },
      {
        path: 'truckReceiptResult',
        name: 'truckReceiptResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckReceiptResult
      },
      {
        path: 'truckUnloadResult',
        name: 'truckUnloadResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckUnloadResult
      },

      {
        path: 'addBreach',
        name: 'addBreach',
        meta: { code: 'xtpzgl-yhgl' },
        component: addBreach
      },
      {
        path: 'addOtherPrice',
        name: 'addOtherPrice',
        meta: { code: 'xtpzgl-yhgl' },
        component: addOtherPrice
      },
      {
        path: 'addShipPrice',
        name: 'addShipPrice',
        meta: { code: 'xtpzgl-yhgl' },
        component: addShipPrice
      },
      {
        path: 'addTrainPrice',
        name: 'addTrainPrice',
        meta: { code: 'xtpzgl-yhgl' },
        component: addTrainPrice
      },
      {
        path: 'addTruckPrice',
        name: 'addTruckPrice',
        meta: { code: 'xtpzgl-yhgl' },
        component: addTruckPrice
      },
      {
        path: 'breach',
        name: 'breach',
        meta: { code: 'xtpzgl-yhgl' },
        component: breach
      },
      {
        path: 'otherPrice',
        name: 'otherPrice',
        meta: { code: 'xtpzgl-yhgl' },
        component: otherPrice
      },
      {
        path: 'purchaseOrder',
        name: 'purchaseOrder',
        meta: { code: 'xtpzgl-yhgl' },
        component: purchaseOrder
      },
      {
        path: 'shipPrice',
        name: 'shipPrice',
        meta: { code: 'xtpzgl-yhgl' },
        component: shipPrice
      },
      {
        path: 'trainPrice',
        name: 'trainPrice',
        meta: { code: 'xtpzgl-yhgl' },
        component: trainPrice
      },
      {
        path: 'updateBreach/:breachId',
        name: 'updateBreach',
        meta: { code: 'xtpzgl-yhgl' },
        component: updateBreach
      },
      {
        path: 'updateOtherPrice/:priceId',
        name: 'updateOtherPrice',
        meta: { code: 'xtpzgl-yhgl' },
        component: updateOtherPrice
      },
      {
        path: 'updateShipPrice/:priceId',
        name: 'updateShipPrice',
        meta: { code: 'xtpzgl-yhgl' },
        component: updateShipPrice
      },
      {
        path: 'updateTrainPrice/:priceId',
        name: 'updateTrainPrice',
        meta: { code: 'xtpzgl-yhgl' },
        component: updateTrainPrice
      },
      {
        path: 'updateTruckPrice/:priceId',
        name: 'updateTruckPrice',
        meta: { code: 'xtpzgl-yhgl' },
        component: updateTruckPrice
      },
      {
        path: 'truckPrice',
        name: 'truckPrice',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckPrice
      },

      {
        path: 'transportationReservation',
        name: 'transportationReservation',
        meta: { code: 'xtpzgl-yhgl' },
        component: transportationReservation
      },
      {
        path: 'transportationDispatch',
        name: 'transportationDispatch',
        meta: { code: 'xtpzgl-yhgl' },
        component: transportationDispatch
      },
      {
        path: 'transportationReservationAdd',
        name: 'transportationReservationAdd',
        meta: { code: 'xtpzgl-yhgl' },
        component: transportationReservationAdd
      },
      {
        path: 'transportationReservationEDIT/:orderId',
        name: 'transportationReservationEDIT',
        meta: { code: 'xtpzgl-yhgl' },
        component: transportationReservationEDIT
      },

      {
        path: 'dischargeCargoOld',
        name: 'dischargeCargoOld',
        meta: { code: 'xtpzgl-jggl' },
        component: dischargeCargoOld
      },
      {
        path: 'enterFactoryOld',
        name: 'enterFactoryOld',
        meta: { code: 'xtpzgl-jggl' },
        component: enterFactoryOld
      },
      {
        path: 'exFactoryOld',
        name: 'exFactoryOld',
        meta: { code: 'xtpzgl-jggl' },
        component: exFactoryOld
      },
      {
        path: 'qualityTestingOld',
        name: 'qualityTestingOld',
        meta: { code: 'xtpzgl-jggl' },
        component: qualityTestingOld
      },
      {
        path: 'receivingOld',
        name: 'receivingOld',
        meta: { code: 'xtpzgl-jggl' },
        component: receivingOld
      },
      {
        path: 'skinCountingOld',
        name: 'skinCountingOld',
        meta: { code: 'xtpzgl-jggl' },
        component: skinCountingOld
      },
      {
        path: 'woolCountingOld',
        name: 'woolCountingOld',
        meta: { code: 'xtpzgl-jggl' },
        component: woolCountingOld
      },

      {
        path: 'mineralTransportAppoint',
        name: 'mineralTransportAppoint',
        meta: { code: 'xtpzgl-jggl' },
        component: mineralTransportAppoint
      },
      {
        path: 'addMineralTransportAppoint',
        name: 'addMineralTransportAppoint',
        meta: { code: 'xtpzgl-jggl' },
        component: addMineralTransportAppoint
      },
      {
        path: 'mineralTransportOrder',
        name: 'mineralTransportOrder',
        meta: { code: 'xtpzgl-jggl' },
        component: mineralTransportOrder
      },
      {
        path: 'mineralUnload',
        name: 'mineralUnload',
        meta: { code: 'xtpzgl-jggl' },
        component: mineralUnload
      },
      {
        path: 'mineralTareResult',
        name: 'mineralTareResult',
        meta: { code: 'xtpzgl-jggl' },
        component: mineralTareResult
      },
      {
        path: 'mineralGrossResult',
        name: 'mineralGrossResult',
        meta: { code: 'xtpzgl-jggl' },
        component: mineralGrossResult
      },
      {
        path: 'mineralOutfactory',
        name: 'mineralOutfactory',
        meta: { code: 'xtpzgl-jggl' },
        component: mineralOutfactory
      },
      {
        path: 'mineralEnfactory',
        name: 'mineralEnfactory',
        meta: { code: 'xtpzgl-jggl' },
        component: mineralEnfactory
      },
      {
        path: 'mineralQuality',
        name: 'mineralQuality',
        meta: { code: 'xtpzgl-jggl' },
        component: mineralQuality
      },
      {
        path: 'getTransportOrder/:orderId',
        name: 'getTransportOrder',
        meta: { code: 'xtpzgl-jggl' },
        component: getTransportOrder
      },
      {
        path: 'addWagonLoadCopy',
        name: 'addWagonLoadCopy',
        meta: { code: 'xtpzgl-jggl' },
        component: addWagonLoadCopy
      },
      {
        path: 'outBoundWagon',
        name: 'outBoundWagon',
        meta: { code: 'xtpzgl-jggl' },
        component: outBoundWagon
      },
      {
        path: 'twoSectionFee',
        name: 'twoSectionFee',
        meta: { code: 'xtpzgl-jggl' },
        component: twoSectionFee
      },
      {
        path: 'addTwoSectionFee',
        name: 'addTwoSectionFee',
        meta: { code: 'xtpzgl-jggl' },
        component: addTwoSectionFee
      },
      {
        path: 'editTwoSectionFee/:resultId',
        name: 'editTwoSectionFee',
        meta: { code: 'xtpzgl-jggl' },
        component: editTwoSectionFee
      },
      {
        path: 'twoSectionHandleFee',
        name: 'twoSectionHandleFee',
        meta: { code: 'xtpzgl-jggl' },
        component: twoSectionHandleFee
      },
      {
        path: 'addTwoSectionHandleFee',
        name: 'addTwoSectionHandleFee',
        meta: { code: 'xtpzgl-jggl' },
        component: addTwoSectionHandleFee
      },
      {
        path: 'editTwoSectionHandleFee/:resultId',
        name: 'editTwoSectionHandleFee',
        meta: { code: 'xtpzgl-jggl' },
        component: editTwoSectionHandleFee
      },
      {
        path: 'importedTrainFee',
        name: 'importedTrainFee',
        meta: { code: 'xtpzgl-jggl' },
        component: importedTrainFee
      },
      {
        path: 'addImportedTrainFee',
        name: 'addImportedTrainFee',
        meta: { code: 'xtpzgl-jggl' },
        component: addImportedTrainFee
      },
      {
        path: 'editImportedTrainFee/:resultId',
        name: 'editImportedTrainFee',
        meta: { code: 'xtpzgl-jggl' },
        component: editImportedTrainFee
      },
      {
        path: 'domesticTrainFee',
        name: 'domesticTrainFee',
        meta: { code: 'xtpzgl-jggl' },
        component: domesticTrainFee
      },
      {
        path: 'addDomesticTrainFee',
        name: 'addDomesticTrainFee',
        meta: { code: 'xtpzgl-jggl' },
        component: addDomesticTrainFee
      },
      {
        path: 'editDomesticTrainFee/:resultId',
        name: 'editDomesticTrainFee',
        meta: { code: 'xtpzgl-jggl' },
        component: editDomesticTrainFee
      },
      {
        path: 'threeSectionHandleFee',
        name: 'threeSectionHandleFee',
        meta: { code: 'xtpzgl-jggl' },
        component: threeSectionHandleFee
      },
      {
        path: 'addThreeSectionHandleFee',
        name: 'addThreeSectionHandleFee',
        meta: { code: 'xtpzgl-jggl' },
        component: addThreeSectionHandleFee
      },
      {
        path: 'editThreeSectionHandleFee/:resultId',
        name: 'editThreeSectionHandleFee',
        meta: { code: 'xtpzgl-jggl' },
        component: editThreeSectionHandleFee
      },
      {
        path: 'threeSectionFee',
        name: 'threeSectionFee',
        meta: { code: 'xtpzgl-jggl' },
        component: threeSectionFee
      },
      {
        path: 'addThreeSectionFee',
        name: 'addThreeSectionFee',
        meta: { code: 'xtpzgl-jggl' },
        component: addThreeSectionFee
      },
      {
        path: 'editThreeSectionFee/:resultId',
        name: 'editThreeSectionFee',
        meta: { code: 'xtpzgl-jggl' },
        component: editThreeSectionFee
      },
      {
        path: 'addMoistureDetection',
        name: 'addMoistureDetection',
        meta: { code: 'xtpzgl-jggl' },
        component: addMoistureDetection
      },
      {
        path: 'moistureDetection',
        name: 'moistureDetection',
        meta: { code: 'xtpzgl-jggl' },
        component: moistureDetection
      },
      {
        path: 'threeSectionFeeDetails',
        name: 'threeSectionFeeDetails',
        meta: {
          code: 'xtpzgl-jggl',
          keepAlive: true // 需要被缓存
        },
        component: threeSectionFeeDetails
      },
      {
        path: 'updateThreeSectionFeeDetails/:resultId',
        name: 'updateThreeSectionFeeDetails',
        meta: { code: 'xtpzgl-jggl' },
        component: updateThreeSectionFeeDetails
      },
      {
        path: 'DryWetDetails',
        name: 'DryWetDetails',
        meta: { code: 'xtpzgl-jggl' },
        component: DryWetDetails
      }
    ]
  }
]

const router = new Router({
  routes: constantRouterMap
})
//  before
routerBefore(router, constantRouterMap)

export default router
//  constantRouterMap
export const routes = constantRouterMap
